Subject: Re: bug#12598: 24.2; utf-8 codepoints in doc-strings and compression of .el and .elc files

From: Kenichi Handa <[email-masked]>
Date: Sat, 09 Feb 2013 14:05:50 +0900

In article <[email-masked]>, Stefan Monnier <[email-masked]> writes:

> I notice here that jka-compr-load is supposed to handle this case, but
> was somehow not triggered.  Maybe we should fix that part.

It seems that Fload explicitly suppresses that trigger.

  /* If file name is magic, call the handler.  */
  /* This shouldn't be necessary any more now that `openp' handles it right.
    handler = Ffind_file_name_handler (file, Qload);
    if (!NILP (handler))
      return call5 (handler, Qload, file, noerror, nomessage, nosuffix); */

I don't understand the above comment (why can openp handle
this case?), and I confirmed that loading *.elc.gz works
well by enabling this code again.

---
Kenichi Handa
[email-masked]